
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "abot/info/version"

Gem::Specification.new do |spec|
  spec.name = 'abot-info'
  spec.version = Abot::Info::VERSION
  spec.authors = ['w_dmitrii']
  spec.email = ['wiz.work2021@gmail.com']

  spec.summary = 'Abot Info'
  spec.license = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.6.6')

  spec.files = Dir['lib/**/*.rb', 'exe/*'] + %w[
    abot-info.gemspec
    Gemfile
    LICENSE
    Rakefile
    README.md
  ]

  spec.test_files = Dir['spec/**/*_spec.rb']

  spec.extra_rdoc_files = %w[LICENSE README.md]

  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency "activerecord", '~> 6.1.3'
  spec.add_dependency "paint", '~> 2.2.1'
  spec.add_dependency "sqlite3", '~> 1.4.2'
  spec.add_dependency "terminal-table", '~> 3.0.1'
  spec.add_dependency "binance-ruby", '~> 1.3.1'
end
